## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# KeyDeclaration Class Reference

Holds the attribute declarations for the "xsl:key" element. More...

`#include <KeyDeclaration.hpp>`

Collaboration diagram for KeyDeclaration:

List of all members.

## Public Methods

- KeyDeclaration ( const XalanQName& qname, const XPath& matchPattern, const XPath& use, const XalanDOMString& uri, XalanLocator::size_type lineNumber, XalanLocator::size_type columnNumber)
    Construct an object containing attributes of an "xsl:key" element. More...
- KeyDeclaration ()
- KeyDeclaration (const KeyDeclaration& theSource)
- ~KeyDeclaration ()
- const XalanQName* getQName () const
    Retrieves name of element. More...
- const XPath* getUse () const
    Retrieves "use" XPath. More...
- const XPath* getMatchPattern () const
    Retrieves "match" XPath. More...
- const XalanDOMString* getURI () const
    Retrieves the URI. More...
- XalanLocator::size_type getLineNumber () const
    Retrieves the line number where the xsl:key element occurred. More...
- XalanLocator::size_type getColumnNumber () const
    Retrieves the column number where the xsl:key element occurred. More...

## Detailed Description

Holds the attribute declarations for the "xsl:key" element.

## Constructor & Destructor Documentation

KeyDeclaration::KeyDeclaration ( | const XalanQName & qname,
| const XPath & matchPattern,
| const XPath & use,
| const XalanDOMString & uri,
| XalanLocator::size_type lineNumber,
| XalanLocator::size_type columnNumber )

Construct an object containing attributes of an "xsl:key" element.

Parameters:

  qname | name of element
  matchPattern | XPath for "match" attribute
  use | XPath for "use" attribute

KeyDeclaration::KeyDeclaration ( | )`[explicit]`

KeyDeclaration::KeyDeclaration ( | const KeyDeclaration & theSource )

KeyDeclaration::~KeyDeclaration ( | )`[]`

## Member Function Documentation

XalanLocator::size_type KeyDeclaration::getColumnNumber ( | ) const`[]`

Retrieves the column number where the xsl:key element occurred.

Returns:
  The column number

XalanLocator::size_type KeyDeclaration::getLineNumber ( | ) const`[]`

Retrieves the line number where the xsl:key element occurred.

Returns:
  The line number

const XPath * KeyDeclaration::getMatchPattern ( | ) const`[]`

Retrieves "match" XPath.

Returns:
  XPath for "match" attribute

const XalanQName * KeyDeclaration::getQName ( | ) const`[]`

Retrieves name of element.

Returns:
  name string

const XalanDOMString * KeyDeclaration::getURI ( | ) const`[]`

Retrieves the URI.

Returns:
  A pointer to a URI string.

const XPath * KeyDeclaration::getUse ( | ) const`[]`

Retrieves "use" XPath.

Returns:
  XPath for "use" attribute

The documentation for this class was generated from the following file:

- KeyDeclaration.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.